#!/bin/bash

#SOURCE: http://www.ricardis.tudelft.nl/~vincent/fusesmb/download/fusesmb-0.8.7.tar.gz
#MAINTAINER: GUTH

soft='fusesmb'
softversion='0.8.7'
packageversion='54.2'

arch='i486'
cpu='i686'

buildir=$(pwd)
srcpkg="$buildir/$soft-$softversion.tar.gz"
src="$buildir/$soft-$softversion"
package="$soft-$softversion-$arch-$packageversion"
dest="$buildir/$package"

cd $buildir
rm -rf $src
tar xf $srcpkg
rm -f $dest.tgz
rm -f $dest.md5
rm -f $dest.dep
rm -rf $dest
mkdir -p $dest
#chown -R root:root $dest
export CFLAGS="-O2 -march=$arch -mtune=$cpu"

cd $src

./configure --prefix=/usr --localstatedir=/var --sysconfdir=/etc --mandir=/usr/man
make DESTDIR=$dest
make install DESTDIR=$dest



( cd $dest && find . | xargs file | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded )
( cd $dest/usr/man && find . -name "*.?" | xargs gzip -9 )

mkdir -p $dest/usr/doc/$soft-$softversion
cp -a \
  AUTHORS COPYING INSTALL README.plugins README.remote README TODO ChangeLog \
  doc \
  $dest/usr/doc/$soft-$softversion

#~ mkdir -p $dest/usr/bin
#~ cp $buildir/fusesmbtool $dest/usr/bin
#~ cp $buildir/fusesmbtool-thunar.sh $dest/usr/bin
#~ mkdir -p $dest/usr/share/applications
#~ cp $buildir/fusesmbtool.desktop $dest/usr/share/applications
#~ mkdir -p $dest/usr/share/icons/hicolor/scalable/apps
#~ cp $buildir/fusesmbtool.svg $dest/usr/share/icons/hicolor/scalable/apps


# redundant
rm -rf $dest/usr/share/doc
mkdir -p $dest/install

# make a slack-desc file
#
cat <<"EOF" > $dest/install/slack-desc
#      |-----handy-ruler-----------------------------------|
fusesmb: fusesmb  (SMB for Fuse)
fusesmb:
fusesmb: With SMB for Fuse you can seamlessly browse your
fusesmb: network neighbourhood as if it were on your own
fusesmb: filesystem.
fusesmb:
fusesmb:
fusesmb:
fusesmb:
fusesmb:
fusesmb:
EOF

mkdir -p $dest/usr/src/$soft-$softversion
cp $buildir/build-$soft.sh $dest/usr/src/$soft-$softversion

chown -R root:root $dest
cd $dest
/sbin/makepkg -l y -c n $dest.tgz
md5sum $dest.tgz > $dest.md5
/usr/bin/requiredbuilder -z $dest.tgz > $dest.dep
